Sisyphus repository
Last update: 20 october 2017 | SRPMs: 17934 | Visits: 10207700
en ru br
Maintainer: Korneechev Evgeniy

 Information   Packages   Bugs and FR  Repocop 

Repocop messages:

package status test message
httpie-0.9.8-alt2.noarch
warn
altlinux-python-obsolete-buildreq-python-dev python-dev is obsolete according to Python Policy (http://www.altlinux.org/Python_Policy). Please, use BuildRequires: python-devel.
java-1.8.0-openjdk-devel-1.8.0.144-alt1_1.b01jpp8.x86_64
info
altlinux-java-duplicate-jars file /usr/lib/jvm-exports/java-1.8.0-openjdk-1.8.0.144-1.b01.x86_64/jaas-1.8.0.144.jar confilicts with package: java-1.8.0-openjdk-headless-1.8.0.144-alt1_1.b01jpp8.x86_64: if the jar do provide the same standard interface, it should be alternative. Otherwise it is recommended to rename the jar file /usr/lib/jvm-exports/java-1.8.0-openjdk-1.8.0.144-1.b01.x86_64/jaas-1.8.0.jar confilicts with package: java-1.8.0-openjdk-headless-1.8.0.144-alt1_1.b01jpp8.x86_64: if the jar do provide the same standard interface, it should be alternative. Otherwise it is recommended to rename the jar file /usr/lib/jvm-exports/java-1.8.0-openjdk-1.8.0.144-1.b01.x86_64/jaas.jar confilicts with package: java-1.8.0-openjdk-headless-1.8.0.144-alt1_1.b01jpp8.x86_64: if the jar do provide the same standard interface, it should be alternative. Otherwise it is recommended to rename the jar file /usr/lib/jvm-exports/java-1.8.0-openjdk-1.8.0.144-1.b01.x86_64/jce-1.8.0.144.jar confilicts with package: java-1.8.0-open... [the rest of the message is skipped]
java-1.8.0-openjdk-devel-1.8.0.144-alt1_1.b01jpp8.x86_64
info
freedesktop-desktop desktop-file-validate utility printed the following message(s): /usr/share/applications/java-1.8.0-openjdk-1.8.0.144-1.b01.x86_64-jconsole.desktop: hint: value "Development;Profiling;System;Monitor;Java;X-ALTLinux-Java;X-ALTLinux-Java-1.8.0-openjdk;" for key "Categories" in group "Desktop Entry" contains more than one main category; application might appear more than once in the application menu
java-1.8.0-openjdk-headless-1.8.0.144-alt1_1.b01jpp8.x86_64
warn
obsolete-call-in-post-alternatives-0.3 alternatives-* calls in post/preun and in triggers are deprecated
java-1.8.0-openjdk-headless-1.8.0.144-alt1_1.b01jpp8.x86_64
info
altlinux-java-duplicate-jars file /usr/lib/jvm-exports/java-1.8.0-openjdk-1.8.0.144-1.b01.x86_64/jaas-1.8.0.144.jar confilicts with package: java-1.8.0-openjdk-devel-1.8.0.144-alt1_1.b01jpp8.x86_64: if the jar do provide the same standard interface, it should be alternative. Otherwise it is recommended to rename the jar file /usr/lib/jvm-exports/java-1.8.0-openjdk-1.8.0.144-1.b01.x86_64/jaas-1.8.0.jar confilicts with package: java-1.8.0-openjdk-devel-1.8.0.144-alt1_1.b01jpp8.x86_64: if the jar do provide the same standard interface, it should be alternative. Otherwise it is recommended to rename the jar file /usr/lib/jvm-exports/java-1.8.0-openjdk-1.8.0.144-1.b01.x86_64/jaas.jar confilicts with package: java-1.8.0-openjdk-devel-1.8.0.144-alt1_1.b01jpp8.x86_64: if the jar do provide the same standard interface, it should be alternative. Otherwise it is recommended to rename the jar file /usr/lib/jvm-exports/java-1.8.0-openjdk-1.8.0.144-1.b01.x86_64/jce-1.8.0.144.jar confilicts with package: java-1.8.0-openjdk-devel... [the rest of the message is skipped]
nextcloud-apache2-12.0.3-alt1.noarch
info
altlinux-policy-obsolete-httpd2-reload This package contains httpd2 restart/reload calls in its post/un scripts. But those calls are deprecated by httpd2.filetrigger that activates by files in /etc/httpd2/ or %_libdir/apache2/modules/. It should be safe to remove those calls and rely on the filetrigger instead.
nextcloud-client-2.3.2-alt4.x86_64
info
rpm-obsolete-live-package The package obsoletes the package mirall-1.0.2-alt5.x86_64, but the package mirall-1.0.2-alt5.x86_64 is still alive and in the repository. Ask its maintainer to remove it, or, if it should not be removed, remove the Obsoletes: tag. Do not forget to add explicit conflicts with the other package if nessessary.
owncloud9-apache2-9.1.6-alt3.noarch
info
altlinux-policy-obsolete-httpd2-reload This package contains httpd2 restart/reload calls in its post/un scripts. But those calls are deprecated by httpd2.filetrigger that activates by files in /etc/httpd2/ or %_libdir/apache2/modules/. It should be safe to remove those calls and rely on the filetrigger instead.
tigervnc-common-1.8.0-alt2.x86_64
warn
rpm-filesystem-conflict-file-file File /usr/bin/vncpasswd conflicts with the package turbovnc-server-1.2.1-alt3.x86_64. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
vino-mate-3.8.1-alt3.x86_64
warn
file-in-usr-marked-as-conffile Files below /usr may not be marked as conffiles, since /usr might be mounted read-only and thus, the local system administrator would not have a chance to modify this configuration file.
vino-mate-3.8.1-alt3.x86_64
info
freedesktop-desktop desktop-file-validate utility printed the following message(s): /usr/share/applications/vino-preferences.desktop: hint: value "GNOME;GTK;Settings;X-GNOME-NetworkSettings;RemoteAccess;Network;" for key "Categories" in group "Desktop Entry" contains more than one main category; application might appear more than once in the application menu
x11vnc-service-0.1-alt3.noarch
warn
systemd-but-no-native-init The package have native systemd file(s) but no SysV init scripts.
x11vnc-service-0.1-alt3.noarch
info
missing-url Missing Url: in a package.
 
design & coding: Vladimir Lettiev aka crux © 2004-2005, Andrew Avramenko aka liks © 2007-2008
current maintainer: Michael Shigorin